> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/get-dslicense.md).

# Get-DSLicense

### Sinossi

Ottiene tutte le licenze, tranne quella del server

### Sintassi

#### \_\_AllParameterSets

```
Get-DSLicense [-AsLegacyResponse] [<CommonParameters>]
```

### Descrizione

Ottiene tutte le licenze, tranne quella del server. Per ottenere gli utenti che sono stati assegnati a una licenza specifica, utilizzi il cmdlet Get-DSUserLicense.

### Esempi

#### Esempio 1

```powershell
PS C:\> $licenses = Get-DSLicence
```

Ottenere tutte le licenze, tranne quella del server

#### Esempio 2

```powershell
PS C:\> $licResponse = Get-DSLicence -AsLegacyResponse;
        $licResponse.Data | Where -Property Status -eq Expired | Unregister-DSLicense
```

Rimuovere tutte le licenze scadute

#### Esempio 3

```powershell
PS C:\> $licResponse = Get-DSLicence;
        $license = $licResponse | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Assegnare la licenza che inizia con XXXXX all'utente 'Name of the user to assign'

### Parametri

#### -AsLegacyResponse

Nelle versioni precedenti alla 2024.2, molti cmdlet DS restituivano un oggetto ServerResponse. L'abilitazione di questo switch di retrocompatibilità consente agli script sviluppati per le versioni precedenti di funzionare correttamente.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Note

Per maggiori informazioni, digiti "Get-Help Get-DSLicense -detailed". Per informazioni tecniche, digiti "Get-Help Get-DSLicense -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/get-dslicense.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
